Skip to content

Queries messages of device.​

GET
/devices/{id}/messages

Authorizations​

ApiKeyAuth

API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.

Type
API Key (header: Authorization)
Example"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

Parameters​

Path Parameters

id*

device id

Type
number
Required
Format
"integer"

Query Parameters

filter

JSON Filter object

Type
string
Format
"JSON"

Request example

Responses​

Request was successful

application/json
JSON
[
  
{
  
  
"config": "string",
  
  
"message": "string",
  
  
"mobileTerminated": true,
  
  
"created": "string",
  
  
"sent": "string",
  
  
"id": 0,
  
  
"deviceId": 0,
  
  
"userId": 0
  
}
]
Try this endpoint

Playground​

Authorization
Variables
Key
Value